package com.proliferay.demo.portlet;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.ProcessAction;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.util.bridges.mvc.MVCPortlet;

/**
 * 
 * @author Hamidul Islam 
 *
 */

public class AutoFieldsDemo extends MVCPortlet {

	@ProcessAction(name = "addMember")
	public void updateUserPassword(ActionRequest actionRequest,	ActionResponse actionResponse) throws PortalException,	SystemException {
		
		/**
		 * In the UI rowIndexes is mentioned as row index.
		 * If there are two rows in the UI then it will have value 1,2
		 * If there are three rows in the UI then it will have value 1,2,3 and so on.
		 */
		
		String rowIndexes = actionRequest.getParameter("rowIndexes");
		
		_log.info("::::::::::::::::rowIndexes:::::::::::::::::::::::" + rowIndexes); 
		
		/**
		 * Split the row index by comma 
		 */
		
		String[] indexOfRows = rowIndexes.split(",");
		
		/**
		 * indexOfRows.length is the number of rows in the UI
		 */
		
		_log.info("::::::::::::::::indexOfRows.length:::::::::::::::::::::::"+ indexOfRows.length);

		for (int i = 0; i < indexOfRows.length; i++) {
			
			String firstName = (actionRequest.getParameter("firstName"+ indexOfRows[i])).trim();
			
			String lastName = (actionRequest.getParameter("lastName"+ indexOfRows[i])).trim();
			
			String gender = actionRequest.getParameter("gender"+ indexOfRows[i]);

			_log.info("::::::::::::First Name::::::::::::::" + firstName);
			_log.info("::::::::::::Last Name::::::::::::::" + lastName);
			_log.info("::::::::::::Gender::::::::::::::" + gender);
			
			/**
			 * From here we can give a service call to persist the data.
			 */
		}
	}

	private Log _log = LogFactoryUtil.getLog(AutoFieldsDemo.class.getName());
}
